GLIBC-2.2.1 with LFS-3.0-Pre1

Ervin Németh airwin at inf.bme.hu
Mon Mar 5 00:13:47 PST 2001


>>>>> redreaper  writes:

> I've just tried to install LFS with the book version 3.0 Pre1 and i've used
> the files which were listet in the book (glibc-2.2.1, gcc-2.95.2.1)

> but now in chapter 6 the installation of glibc failed, when i did the 'make
> &&' line ...

> that's what my shell told me about that ...

> make[2]: *** No rule to make target '../stdio-common/stdio_lim.h.in', needed
> by '/usr/src/glibc-build/bits/stdio_lim.st'. Stop.

> now, i don't know what to do ... i thank you for every help ... :)

This is exactly the same problem I was facing on my home machine.

I was using kernel 2.4.2 to do the compilation.  If you boot the system with
linux-2.4.0 then you will not recieve this error.  However ld-linux.so will
make a segfault during the make process.  Now shutdown again and continue
make.  Now the build will complete without any errors.  Because ``make check''
failed I didn't install this libc.

Another tale from the twilight zone.

-Ervin
-- 
Tempora mutantur, et nos mutantur in illis.

-- 
Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the lfs-dev mailing list